{
    num: 668,
    accuracy: 100,
    basePower: 0,
    category: "Status",
    name: "Strength Sap",
    pp: 5,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, heal: 1, metronome: 1 },
    onHit(target, source) {
        if (target.boosts.atk === -6)
            return false;
        const atk = target.getStat("atk", false, true);
        const success = this.boost({ atk: -1 }, target, source, null, false, true);
        return !!(this.heal(atk, source, target) || success);
    },
    secondary: null,
    target: "normal",
    type: "Grass",
    zMove: { boost: { def: 1 } },
    contestType: "Cute"
}
